トラッキングピクセル
GET https://digily.link/api/pixels/
curl --request GET \
--url 'https://digily.link/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | どのフィールドで検索していますか。許可されている値は: name, pixel。 |
| type | オプション 文字列 | 許可されている値: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | オプション 文字列 | 許可されている値: datetime, last_datetime |
| datetime_start | オプション 文字列 | この日時から始まる結果をフィルタリングします。Y-m-d H:i:s 形式。 |
| datetime_end | オプション 文字列 | この日時までの結果をフィルターします。Y-m-d H:i:s形式。 |
| order_by | オプション 文字列 | 結果を並べ替えるフィールド。許可されている値は: pixel_id, datetime, last_datetime, name。 |
| order_type | オプション 文字列 | 結果の順序。許可される値は、昇順のASCと降順のDESCです。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数を指定してください。許可されている値は: 10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-05-13 00:05:28",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://digily.link/api/pixels?page=1",
"last": "https://digily.link/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://digily.link/api/pixels?page=1"
}
}
GET https://digily.link/api/pixels/{pixel_id}
curl --request GET \
--url 'https://digily.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-05-13 00:05:28",
}
}
POST https://digily.link/api/pixels
| パラメータ | 詳細 | 説明 |
|---|---|---|
| type | 必須 文字列 | 許可されている値: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | 必須 文字列 | - |
| pixel | 必須 文字列 | - |
curl --request POST \
--url 'https://digily.link/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://digily.link/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://digily.link/api/pixels/{pixel_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| type | オプション 文字列 | 許可されている値: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | オプション 文字列 | - |
| pixel | オプション 文字列 | - |
curl --request POST \
--url 'https://digily.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://digily.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://digily.link/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://digily.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \